Loading...
Searching...
No Matches
new
std

The <new> header from C++17's standard library. More...

Collaboration diagram for new:

## Variables

constexpr std::size_t | std::hardware_constructive_interference_size = 64
| Maximum size of contiguous memory to promote true sharing.
constexpr std::size_t | std::hardware_destructive_interference_size = 64
| Minimum offset between two objects to avoid false sharing.

## Detailed Description

The <new> header from C++17's standard library.

## Variable Documentation

## hardware_constructive_interference_size

std::size_t std::hardware_constructive_interference_size = 64

inline constexpr

Maximum size of contiguous memory to promote true sharing.

See also
  https://en.cppreference.com/w/cpp/thread/hardware_destructive_interference_size

## hardware_destructive_interference_size

std::size_t std::hardware_destructive_interference_size = 64

inline constexpr

Minimum offset between two objects to avoid false sharing.

See also
  https://en.cppreference.com/w/cpp/thread/hardware_destructive_interference_size

Hide me